<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E5B2=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action condition="(frame % 300 == 0)">maincpu.pb@E58B=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E58F=09</action>
    </script>
  </cheat>

  <cheat desc="See the Dip Switch Menu to enable Invincibility."/>

  <cheat desc="Never any gold needed">
    <script state="run">
      <action>maincpu.pb@E4FC=00</action>
    </script>
  </cheat>

  <cheat desc="One more gold needed Now!">
    <script state="on">
      <action>maincpu.pb@E4FC=01</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round"> <comment>Rounds greater than 99 dont the correct Round Number!</comment>
    <parameter min="1" max="255" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E58E==01)">maincpu.pb@E58E=(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
